

function [areaD,areaC] = poissonDistGamma(lambda,nDiscrete,L_C,nContinuous)

%  Computing the Discrete Poisson Distribution
xD        = 0:nDiscrete;
f_lambdaD = exp(-lambda) * lambda .^ xD ;
denomD    = factorial(xD)
f_lambdaD = f_lambdaD ./ denomD;
areaD     = sum( f_lambdaD);
figure(1)
plot(xD,f_lambdaD);
grid

%  Computing the Continuous Poisson Distribution using the
%  Gamma function
xC        = linspace(0,L_C,nContinuous);
f_lambdaC = exp(-lambda) * lambda .^ xC ;
denomC    = gamma(xC+1);
f_lambdaC = f_lambdaC ./ denomC;
h        = L_C / (nContinuous - 1);
areaC    = sum( h * f_lambdaC);
figure(2)
plot(xC,f_lambdaC);
grid


return;
